<?php

App::uses('EvBasketAppController', 'EvBasket.Controller');

class BasketController extends EvBasketAppController {

	public function beforeFilter() {
		parent::beforeFilter();

		$this->Auth->allow(
			array(
				'index',
				'add'
			)
		);
	}

	/**
	 * main basket page
	 *
	 */
	public function index() {
		$this->view = 'EvBasket./Fallbacks/Basket/index';

		$pageId = Configure::read('EvBasket.pageId');

		// check if we have a specific content page set
		// if so - set the template
		if (! empty($pageId)) {
			$pageData = $this->assignPage($pageId);

			if (! empty($pageData)) {
				$this->view = $this->Tpl->getTemplate($pageData, 'Page');
			}
		}

		$this->set(
			'basket',
			$this->BasketManager->getBasket()
		);
	}

	public function add() {
		// manually add some stuff so i can test
		die('not yet');

		debug(
			$this->BasketManager->addItem(
				array(
					'model' => 'EvShop.Variant',
					'model_id' => 16
				),
				69.540000,
				1
			)
		);

		die();
	}
}
